## org.json
Class Test

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.json.Test

All Implemented Interfaces:
  junit.framework.Test

    public class Test

extends junit.framework.TestCase

Test class. This file is not formally a member of the org.json library. It is just a test tool. Issue: JSONObject does not specify the ordering of keys, so simple-minded comparisons of .toString to a string literal are likely to fail.

Version:
  2011-05-22
Author:
  JSON.org

Constructor Summary
`Test(java.lang.String name)`

Method Summary
`void` `testExceptions()`
`void` `testJSON()`
`void` `testNull()`
`void` `testXML()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Test

    public Test(java.lang.String name)

Method Detail

### testXML

    public void testXML()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNull

    public void testNull()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJSON

    public void testJSON()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testExceptions

    public void testExceptions()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`